/***********************************************************
 *
 *   Program:    ptag.h
 *   Copyright:  Point Transactions Systems A/S
 *   Comments:
 *
 ************************************************************/
#ifndef __PTAG_H
#define __PTAG_H

// Info Container
#define PTAG_INFO			0x60      //Container
#define PTAG_TSI			    0x00  //tags
#define PTAG_CONFIRM		    0x02
#define PTAG_KEYPRESS		    0x04
#define PTAG_ABORT	            0x06
#define PTAG_ACQMSG             0x08
#define PTAG_CAC9				0x11

// Data/card Container
#define PTAG_DATA_1			0x62      //Container
#define PTAG_DATA			0x63      //Container
#define PTAG_CARDDATA		0x6F      //Container
#define PTAG_LOCALCARDDATA      0x71  //tags
#define PTAG_EIE				0x51
#define PTAG_CARDNUMBER		    0x52
#define PTAG_EXTRA_APP			0x53  // Loyalty eq Extra apps data
#define PTAG_AID			    0x54
#define PTAG_CRCNUMBER		    0x5A
#define PTAG_CARDNAME           0x5E
#define PTAG_STOPLIST           0x5B

// Transaction Container
#define PTAG_TRANSACTION	0x65       //Container
#define PTAG_AMOUNT			    0x48   //tags
#define PTAG_FEE                0x58
#define PTAG_GRATUITY           0x59
#define PTAG_VAT	            0x57
#define PTAG_REF_NO			    0x4A
#define PTAG_CU				    0x4C
#define PTAG_MI				    0x4E
#define PTAG_TR				    0x50
#define PTAG_TT				    0x56
#define PTAG_TIME               0x5C
#define PTAG_ASW1ASW2		    0x13
#define PTAG_CARD_SOURCE		0x92
#define PTAG_PREPAID			0x93
#define PTAG_TERM_ENV			0x94
#define PTAG_E_RECEIPT			0x99
#define PTAG_DCCAMOUNT			0xC0 
#define PTAG_DCCFEE             0xC1
#define PTAG_DCCGRATUITY        0xC2
#define PTAG_SALDO				0xC3
#define PTAG_BACK				0xC4
#define PTAG_EXP_DATE			0xC5
#define PTAG_NETS_HASH			0xC6
#define PTAG_K_RECEIPT			0xC7

#define PTAG_ADMIN			0x67       //Container
#define PTAG_PARAM_STR			0x49

#define PTAG_INIT			0x69       //Container
#define PTAG_CONNECT		    0x40   //tags
#define PTAG_DISCONNECT		    0x42
#define PTAG_OPEN			    0x44
#define PTAG_CLOSE			    0x46

#define PTAG_RECEIPT		0x6B       //Container
#define PTAG_ATC                0x0A   //tags
#define PTAG_AED                0x0C
#define PTAG_STAN               0x10
#define PTAG_PSAMID             0x12
#define PTAG_ACODE              0x14
#define PTAG_CVM                0x16
#define PTAG_TCC				0x17

#define PTAG_AUTCODE            0x18
#define PTAG_VAS				0x19
#define PTAG_TERMID             0x1A
#define PTAG_EXTRA              0x1C
#define PTAG_ARC                0x1E
#define PTAG_MI_NR              0x01   //Merchant info tags
#define PTAG_MI_NAME            0x03
#define PTAG_MI_CITY            0x05
#define PTAG_MI_ADDR            0x07
#define PTAG_MI_ZIP             0x09
#define PTAG_MI_PHONE           0x0B
#define PTAG_MI_BRN             0x0D
#define PTAG_PSAM_CREATOR       0x0F
#define PTAG_TOKEN              0x0E
#define PTAG_CANCELLATION       0x96
#define PTAG_BATCHNUMBER        0x97

#define PTAG_ERROR          0x6C       //Container
#define PTAG_ADVICE_RECON   0x6D       //Container 20110314
#define PTAG_HOSTDATA       0x73       //Container
#define PTAG_HANDLERSTR     0x74       //Container
#define PTAG_PRERESULT      0x75       //Container New 051230 by lnr
#define PTAG_MENU           0x77       //Container
//#define PTAG_DATAGRAM       0x78       //Container - bug #442

#define PTAG_ENAI           0x79       //Container
#define PTAG_IPADDR         	0x8A
#define PTAG_ENAI_CONNECTION    0x8B
#define PTAG_IPPORT         	0x8C
#define PTAG_IPTIMEOUT      	0x8E

//General
#define PTAG_BINARY				0x80   //tags
#define PTAG_TEXT				0x82
#define PTAG_RESULT				0x84
#define PTAG_FROMSTATE      	0x85    // New by lnr 051228
#define PTAG_STATE				0x86
#define PTAG_EVENT          	0x87    // New by lnr 051228
#define PTAG_COMMAND			0x88
#define PTAG_SEQNO          	0x89    // New by lnr 051228
#define PTAG_ECREXTENDEDFUNCTIONS         0x90    // New by lnr 060117
#define PTAG_DCC_RATE          	0x95
#define PTAG_DCC_CU          	0x98


// values shared with flexdriver for PTAG_CARD_SOURCE
typedef enum FLX_CARD_DATASOURCE_E 
{
	CARD_EMV,
	CARD_MSC,
	CARD_KEY,
	CARD_TOKEN,
	CARD_SCAN,
	CARD_DATASOURCE_MAX,
} FLX_CARD_DATASOURCE;

// values shared with flexdriver terminal Environment for PTAG_TERM_ENV
typedef enum FLX_TERMINAL_ENVIRONMENT_E 
{
	TERMINAL_ATTENDED,
	TERMINAL_MAILORDER,
	TERMINAL_TELEORDER,
	TERMINAL_SOURCE_MAX,
} FLX_TERMINAL_ENVIRONMENT;

#endif                                  // __PTAG_H
